### Name: pmlMix
### Title: Phylogenetic mixture model
### Aliases: pmlMix
### Keywords: cluster

### ** Examples

X <- allSitePattern(5)
tree <- read.tree(text = "((t1:0.3,t2:0.3):0.1,(t3:0.3,t4:0.3):0.1,t5:0.5);")
fit <- pml(tree,X, k=4)
weights <- 1000*exp(fit$site) 
attr(X, "weight") <- weights
fit1 <- update(fit, data=X, k=1)
fit2 <- update(fit, data=X)

(fitMixture <- pmlMix(edge~rate, fit1 , m=4))
(fit2 <- optim.pml(fit2, optGamma=TRUE))

## Not run: 
##D data(Laurasiatherian)
##D dm <- dist.logDet(Laurasiatherian)
##D tree <- NJ(dm)
##D fit=pml(tree, Laurasiatherian)
##D fit = optim.pml(fit)
##D 
##D fit2 <- update(fit, k=4)
##D fit2 <- optim.pml(fit2, optGamma=TRUE)
##D 
##D fitMix = pmlMix(edge ~ rate, fit, m=4)
##D fitMix
## End(Not run)



